]> git.pld-linux.org Git - packages/texlive.git/blame - texlive-2007-badscript.patch
- format-pdflatex requires texlive-fonts-type1-urw
[packages/texlive.git] / texlive-2007-badscript.patch
CommitLineData
768e5264
AM
1--- TeX/texk/tetex/allcm.badscript 2006-05-24 16:15:36.000000000 -0700
2+++ TeX/texk/tetex/allcm 2006-05-24 16:18:47.000000000 -0700
3@@ -14,7 +14,7 @@
4 test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
5
6 progname=`basename $0`
7-tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
8+tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX`
9
10 case "$progname" in
11 allec)
12@@ -81,11 +81,6 @@
13 exit 1
14 ' 1 2 3 7 13 15
15
16-(umask 077; mkdir "$tmpdir") || {
17- echo "$progname: failed to create temp directory." >&2
18- exit 1
19-}
20-
21 cd $tmpdir || exit 1
22 echo >&2
23 echo "---------------------------------------------------------------------" >&2
24--- TeX/texk/tetex/fmtutil.badscript 2006-05-24 16:19:21.000000000 -0700
25+++ TeX/texk/tetex/fmtutil 2006-05-24 16:22:26.000000000 -0700
26@@ -108,8 +108,6 @@
27
28 trap 'cleanup 1' 1 2 3 7 13 15
29 needsCleanup=true
30- (umask 077; mkdir "$tmpdir") \
31- || abort "could not create directory \`$tmpdir'"
32 }
33
34 ###############################################################################
35@@ -355,7 +353,7 @@
36 need_find_hyphenfile=false
37 cfgparam=
38 cfgmaint=
39- tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
40+ tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX`
41 verboseFlag=true
42
43 # mktexfmtMode: if called as mktexfmt, set to true. Will echo the generated
44--- TeX/texk/tetex/texconfig.badscript 2006-05-24 16:22:54.000000000 -0700
45+++ TeX/texk/tetex/texconfig 2006-05-24 16:24:18.000000000 -0700
46@@ -37,7 +37,7 @@
47 TEXMFDBS TEXMFINI TEXMFSCRIPTS TEXPICTS TEXPKS TEXPOOL TEXPSHEADERS
48 TEXSOURCES TFMFONTS TRFONTS TTFONTS VFFONTS WEB2C WEBINPUTS
49 "
50-tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/tctmp.$$
51+tmpdir=`mktemp -d "${TMP-/tmp}/$progname.XXXXXX"` || exit 1
52 needsCleanup=false
53 lastUpdatedFile=
54
55@@ -216,8 +216,6 @@
56
57 trap 'cleanup 1' 1 2 3 7 13 15
58 needsCleanup=true
59- (umask 077; mkdir "$tmpdir") \
60- || abort "could not create directory \`$tmpdir'"
61 }
62
63 ###############################################################################
64--- TeX/texk/tetex/texlinks.badscript 2005-08-28 12:45:59.000000000 -0700
65+++ TeX/texk/tetex/texlinks 2006-05-24 16:31:25.000000000 -0700
66@@ -100,8 +100,6 @@
67
68 trap 'cleanup 1' 1 2 3 7 13 15
69 needsCleanup=true
70- (umask 077; mkdir "$tmpdir") \
71- || abort "could not create directory \`$tmpdir'"
72 }
73
74
75@@ -192,7 +190,7 @@
76 upd_symlinkdir()
77 {
78 search_symlinkdir || return 0
79- for i in `sed 's@ .*@@' cnf_file_ln.$$`; do
80+ for i in `sed 's@ .*@@' $tmpdir/cnf_file_ln`; do
81 install_link "$selfautoloc/$i" "$symlinkdir/$i"
82 done
83 }
84@@ -236,12 +234,12 @@
85 test -f "$cnf_file" || abort "config file \`$cnf' not found"
86
87
88- tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/texlinks.$$
89+ tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX` || exit 1
90 setupTmpDir
91 cd "$tmpdir" || cleanup 1
92
93 sed '/^[ ]*#/d; /^[ ]*$/d' $cnf_file \
94- | awk '{print $1, $2}' > cnf_file_ln.$$
95+ | awk '{print $1, $2}' > $tmpdir/cnf_file_ln
96
97 if test -z "$dirs"; then
98 if test $multiplatform = true; then
99@@ -259,8 +257,8 @@
100 for d in $dirs; do
101 kpseaccess -w $d \
102 || { errmsg "$d: no write permissions. Skipping..."; continue; }
103- # cnf_file_ln.$$ has lines with "format engine" pairs
104- set x `cat cnf_file_ln.$$`; shift
105+ # $tmpdir/cnf_file_ln has lines with "format engine" pairs
106+ set x `cat $tmpdir/cnf_file_ln`; shift
107 while test $# != 0; do
108 fmt=$1; engine=$2; shift; shift
109
110--- TeX/texk/tetex/updmap.badscript 2006-05-24 16:32:13.000000000 -0700
111+++ TeX/texk/tetex/updmap 2006-05-24 16:33:51.000000000 -0700
112@@ -769,7 +769,6 @@
113
114 trap 'cleanup 1' 1 2 3 7 13 15
115 needsCleanup=true
116- mkdir "$tmpdir" || abort "could not create directory \`$tmpdir'"
117 }
118
119 ###############################################################################
120@@ -1296,7 +1295,8 @@
121 dvipsoutputdir=; pdftexoutputdir=; dvipdfmoutputdir=
122 : ${TEXMFMAIN=`kpsewhich -var-value=TEXMFMAIN`}
123
124- tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
125+ tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX` || \
126+ abort "could not create directory"
127 tmp1=$tmpdir/a
128 tmp2=$tmpdir/b
129 tmp3=$tmpdir/c
130--- TeX/texk/dviljk/dvihp.badscript 2006-05-24 16:43:13.000000000 -0700
131+++ TeX/texk/dviljk/dvihp 2006-05-24 16:47:10.000000000 -0700
132@@ -7,9 +7,7 @@
133 : ${SPOOL=lpr} # used to print an LJ file
134 : ${TMPDIR=${TEMP-${TMP-/tmp}}} # for the dvicopy output
135
136-tmpdir="${TMPDIR}"/dvihp$$
137-(umask 077; mkdir "$tmpdir") \
138- || { echo "cannot create directory \`$tmpdir'."; exit 1; }
139+tmpdir=`mktemp -d ${TMPDIR}/dvihp.XXXXXX` || { echo "cannot create secure temporary directory."; exit 1; }
140
141 trap '
142 cd "${TMPDIR}"
143--- TeX/texk/dvipdfm/dvipdft.badscript 2006-05-24 16:48:16.000000000 -0700
144+++ TeX/texk/dvipdfm/dvipdft 2006-05-24 16:51:53.000000000 -0700
145@@ -31,7 +31,7 @@
146 $progname --help
147 $progname --version"
148
149-tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/$progname.$$
150+tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX`
151
152 quoteit()
153 {
This page took 0.097546 seconds and 4 git commands to generate.